Next Previous Contents

## 3.119 peekwsys

> Function

>   Read one word from a location in the system bank.

> Header

>   `cbm610.h`, `cbm510.h`

> Declaration

>   `unsigned __fastcall__ peekwsys (unsigned addr);`

> Description

>   `peekwsys` reads one word from the given address in the system bank (bank 15) of the CBM PET-II machines and returns it. Following the usual 6502 conventions, the low byte is read from `addr`, and the high byte is read from `addr+1`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The order in which the two bytes are read is undefined.
> Availability

>   cc65

> See also

>   PEEK, PEEKW, peekbsys, pokebsys, pokewsys

> Example

>   None.

Next Previous Contents